summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtools/build/check-links.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tools/build/check-links.sh b/tools/build/check-links.sh
index 57c9437..80e1ad1 100755
--- a/tools/build/check-links.sh
+++ b/tools/build/check-links.sh
@@ -29,6 +29,11 @@ while getopts "Uv" flag; do
done
shift $((OPTIND-1))
+if ! [ -f "$1" ]; then
+ echo "No such file or directory: $1" >&2
+ exit 1
+fi
+
mime=$(file -L --mime-type $1)
isbin=0
case $mime in
OpenPOWER on IntegriCloud